
#ifndef PLS_PARALLEL_SCAN_H_
#define PLS_PARALLEL_SCAN_H_

namespace pls {
namespace algorithm {

template<typename InIter, typename OutIter, typename BinaryOp, typename Type>
void parallel_scan(InIter input_start, const InIter input_end, OutIter output, BinaryOp op, Type neutral_element);

}
}
#include "parallel_scan_impl.h"

#endif //PLS_PARALLEL_SCAN_H_
